
From: Mikael Pettersson <mikpe@csd.uu.se>

perfctr-2.7.10 update, 3/4:
- Update x86_64 syscall table for perfctr-2.7.10 API changes.

Signed-off-by: Mikael Pettersson <mikpe@csd.uu.se>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/include/asm-x86_64/unistd.h |    8 +++-----
 1 files changed, 3 insertions(+), 5 deletions(-)

diff -puN include/asm-x86_64/unistd.h~perfctr-2710-api-update-3-4-x86_64 include/asm-x86_64/unistd.h
--- 25/include/asm-x86_64/unistd.h~perfctr-2710-api-update-3-4-x86_64	2005-04-07 18:33:51.000000000 -0700
+++ 25-akpm/include/asm-x86_64/unistd.h	2005-04-07 18:33:51.000000000 -0700
@@ -569,11 +569,9 @@ __SYSCALL(__NR_ioprio_get, sys_ioprio_ge
 __SYSCALL(__NR_vperfctr_open, sys_vperfctr_open)
 #define __NR_vperfctr_control	(__NR_vperfctr_open+1)
 __SYSCALL(__NR_vperfctr_control, sys_vperfctr_control)
-#define __NR_vperfctr_unlink	(__NR_vperfctr_open+2)
-__SYSCALL(__NR_vperfctr_unlink, sys_vperfctr_unlink)
-#define __NR_vperfctr_iresume	(__NR_vperfctr_open+3)
-__SYSCALL(__NR_vperfctr_iresume, sys_vperfctr_iresume)
-#define __NR_vperfctr_read	(__NR_vperfctr_open+4)
+#define __NR_vperfctr_write	(__NR_vperfctr_open+2)
+__SYSCALL(__NR_vperfctr_write, sys_vperfctr_write)
+#define __NR_vperfctr_read	(__NR_vperfctr_open+3)
 __SYSCALL(__NR_vperfctr_read, sys_vperfctr_read)
 
 #define __NR_syscall_max __NR_vperfctr_read
_
